4

I run

sudo apt-get update

which returns these failures at the end:

W: Failed to fetch httpe://archive.ubuntu.com/ubuntu/dists/raring/main/binary-amd64/Packages  Protocol httpe not supported or disabled in libcurl
W: Failed to fetch httpe://archive.ubuntu.com/ubuntu/dists/raring/multiverse/binary-i386/Packages  Protocol httpe not supported or disabled in libcurl
E: Some index files failed to download. They have been ignored, or old ones used instead.

How can I fix this problem? I've looked all around and can't seem to find an answer.

After running

lsb_release -a

No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 14.04.3 LTS
Release:    14.04
Codename:    trusty
  • Edit your question and add the output of lsb_release -a – A.B. Oct 7 '15 at 15:43
9

One simple command, httpe isn't a valid protocol:

sudo sed -i 's/httpe:/http:/g' /etc/apt/sources.list
sudo apt-get update

And now, it seems, that you have Trusty installed and Raring repositories in your sources.list

If you do not need this repositories, then remove the lines with

sudo sed -i '/raring/d' /etc/apt/sources.list
  • I ran those commands but still have 404 faliures showing up – Israel Davidson Oct 7 '15 at 15:01
  • still having 404 errors – Israel Davidson Oct 7 '15 at 15:16
  • @A.B. I think there is something to do with the EOL Raring. – P.-H. Lin Oct 7 '15 at 15:17
  • @P.-H.Lin Yes, raring =( – A.B. Oct 7 '15 at 15:18
  • Updated my answer again – A.B. Oct 7 '15 at 15:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.